org.springframework.mail

## Class MailPreparationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.mail.MailException
          - - org.springframework.mail.MailPreparationException

All Implemented Interfaces:
  Serializable

    public class MailPreparationException
    extends MailException

Exception to be thrown by user code if a mail cannot be prepared properly, for example when a Velocity template cannot be rendered for the mail text.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `VelocityEngineUtils.mergeTemplateIntoString(org.apache.velocity.app.VelocityEngine, java.lang.String, java.util.Map<java.lang.String, java.lang.Object>)`, `FreeMarkerTemplateUtils.processTemplateIntoString(freemarker.template.Template, java.lang.Object)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MailPreparationException(String msg)` Constructor for MailPreparationException.
`MailPreparationException(String msg, Throwable cause)` Constructor for MailPreparationException.
`MailPreparationException(Throwable cause)`

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MailPreparationException

    public MailPreparationException(String msg)

Constructor for MailPreparationException.

Parameters:
  `msg` - the detail message

#### MailPreparationException

    public MailPreparationException(String msg,
                            Throwable cause)

Constructor for MailPreparationException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the mail API in use

#### MailPreparationException

    public MailPreparationException(Throwable cause)